#ifndef VHTTPD_LOG_H
#define VHTTPD_LOG_H

#define RUNTIME_ERROR(fmt, args...) runtime_error ("%s: " fmt, __func__, ##args)

void runtime_error (const char *fmt, ...)
  __attribute__ ((__format__ (__printf__, 1, 2))) __attribute__ ((noreturn));


# define ASSERT_STRERROR(expr) \
  if (!(expr)) \
   runtime_error ("%s:%d: expression '%s' failed :%m", __FILE__, __LINE__, #expr)

#endif
