#ifndef VHTTPD_TLS_CHANNEL_H
#define VHTTPD_TLS_CHANNEL_H

#include <vhttpd/channel.h>

#define CHANNEL_TYPE_TLS      (2)

channel_t *
create_tls_channel_from_socket (int socket_fd, const char *addr, const char *keyfile,
						    const char *certfile, int flags);

channel_t *create_tls_channel (const char *addr, const char *service,
                            const char *keyfile, const char *certfile, int flags);

#endif
